import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessorDirective } from "../../../directives/control-value-accessor.directive";
import { InputType } from "../../../types/input-type";
import { Option } from "../../../interfaces/option";
import * as i0 from "@angular/core";
export declare class AutocompleteInputComponent<T> extends ControlValueAccessorDirective<T> implements OnInit, AfterViewInit {
    inputId: string;
    label: string;
    placeholder: string;
    inputType: InputType;
    autocomplete: string;
    customErrorMessages: Record<string, string>;
    options: Option[];
    numberOfOptionsToShow: number;
    inputElement: ElementRef;
    isOpen: boolean;
    selectedIndex: number;
    filteredOptions: Option[];
    private themingConfig;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFocus(): void;
    onInput(): void;
    onBlur(): void;
    onKeyDown(event: KeyboardEvent): void;
    selectOption(option: Option): void;
    focusInputComponent(): void;
    private setupFilter;
    private filterOptions;
    private addThemingClasses;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutocompleteInputComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutocompleteInputComponent<any>, "lib-autocomplete-input", never, { "inputId": { "alias": "inputId"; "required": false; }; "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "inputType": { "alias": "inputType"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; "customErrorMessages": { "alias": "customErrorMessages"; "required": false; }; "options": { "alias": "options"; "required": true; }; "numberOfOptionsToShow": { "alias": "numberOfOptionsToShow"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_numberOfOptionsToShow: unknown;
}
